### Function

# RB gst_remove_tee

#### Declaration [src]

    gboolean
    rb_gst_remove_tee (
      RBPlayer* player,
      GstElement* tee,
      GstElement* element,
      gboolean use_pad_block
    )

#### Description [src]

Removes a branch from the tee, using pad blocking (if requested) to avoid breaking the data flow. Pad blocking should be used when the pipeline is in PLAYING state, or when in PAUSED state where a streaming thread will be holding the stream lock for the filter bin.

#### Parameters

`player`

  Type: `RBPlayer`

  Player object (must implement `RBPlayerGstTee` interface).

  The data is owned by the caller of the function.

`tee`

  Type: `GstElement`

  A tee element.

  The data is owned by the caller of the function.

`element`

  Type: `GstElement`

  The tee branch to remove.

  The data is owned by the caller of the function.

`use_pad_block`

  Type: `gboolean`

  If `TRUE`, block the src pad connected to the filter bin.

#### Return value

Type: `gboolean`

No description available.